=== debian/control ===
Source: jsboard-theme-diary-ko
Section: web
Priority: optional
Maintainer: Ki-Heon Kim <khkim@debian.org>
Standards-Version: 3.6.1

Package: jsboard-theme-diary-ko
Architecture: all
Depends: jsboard
Description: diary theme for JSBoard - Korean version
 It is diary theme package for JSBoard. It only supports korean language.
